
#ifndef WIN32_PLATFORM_H
#define WIN32_PLATFORM_H

#include <Windows.h>

#include "Win32Display.h"
#include "Win32Input.h"
#include <Spectre/System/MessageQueue.h>
#include <Platform/PlatformApplication.h>

class Win32Application : public PlatformApplication
{
public :
	virtual void init();

	virtual void shutdown();

	//virtual PlatformDisplay& getDisplay();

	virtual PlatformInput& getInput();

	virtual MessageQueue& getMessageQueue();

	virtual void update();

protected :

	LRESULT processMessage(MSG msg);

protected :

	//Win32Display		m_display;
	Win32Input		m_input;
	MessageQueue		m_messageQueue;
};

#endif /* WIN32_PLATFORM_H */
